#!/usr/bin/env python

import sys

import demosat

ax = []
ay = []
az = []
rx = []
ry = []
rz = []

def average(l):
	return float(sum(l)) / len(l)

count = 0
try:
	for sample in demosat.get_samples(sys.stdin):
		if sample.has_key("AX"):
			ax.append(int(sample["AX"], 16))
		if sample.has_key("AY"):
			ay.append(int(sample["AY"], 16))
		if sample.has_key("AZ"):
			az.append(int(sample["AZ"], 16))
		if sample.has_key("RX"):
			rx.append(int(sample["RX"], 16))
		if sample.has_key("RY"):
			ry.append(int(sample["RY"], 16))
		if sample.has_key("RZ"):
			rz.append(int(sample["RZ"], 16))
		count += 1
		if count % 100 == 0:
			print count
except KeyboardInterrupt:
	print "Keyboard interrupt."

aax = average(ax)
aay = average(ay)
aaz = average(az)
arx = average(rx)
ary = average(ry)
arz = average(rz)

print "AX:", aax
print "AY:", aay
print "AZ:", aaz
print "RX:", arx
print "RY:", ary
print "RZ:", arz

print "ACCELERATION_ZERO = ( %f, %f, %f )" % (aax, aay, aaz)
print "ANG_VEL_ZERO = ( %f, %f, %f )" % (arx, ary, arz)
