#!/usr/bin/env python

import math
import sys

import demosat

def square(x):
	return x * x

for state in demosat.get_states(sys.stdin):
	r = [x.value for x in state.angular_velocity]
	if r[0] is None or r[1] is None or r[2] is None:
		continue
	r = [x * 180.0 / math.pi for x in r]
	print "%.3f %.10f %.10f %.10f" \
		% (state.seconds_elapsed, r[0], r[1], r[2])
