#!/usr/bin/env python

import sys

import demosat

prev_time = None
count = 0
for state in demosat.get_states(sys.stdin):
	if prev_time is None:
		prev_time = state.seconds_elapsed
		count = 0
	count += 1
	if state.seconds_elapsed - prev_time > 1.0:
		print "%.2f samples per second." % (count / (state.seconds_elapsed - prev_time))
		prev_time = state.seconds_elapsed
		count = 0
